OpenCV: cv::cuda::TemplateMatching Class Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Member Functions | List of all members
cv::cuda::TemplateMatching Class Referenceabstract
Core functionality » OpenGL interoperability » CUDA-accelerated Computer Vision » Image Processing

Base class for Template Matching. : More...

`#include "cudaimgproc.hpp"`

Inheritance diagram for cv::cuda::TemplateMatching:

## Public Member Functions
virtual void | match (InputArray image, InputArray templ, OutputArray result, Stream &stream=Stream::Null())=0
| Computes a proximity map for a raster template and an image where the template is searched for. More...
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state. More...
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read. More...
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage. More...
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage. More...
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
| simplified API for language bindings This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...

## Additional Inherited Members
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file. More...
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String. More...
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node. More...
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

Base class for Template Matching. :

## Member Function Documentation

## ◆ match()

virtual void cv::cuda::TemplateMatching::match | ( | InputArray | image,
|  | InputArray | templ,
|  | OutputArray | result,
|  | Stream & | stream = `Stream::Null()`
| ) |  |
| pure virtual

Computes a proximity map for a raster template and an image where the template is searched for.

Parameters

  image | Source image.
  templ | Template image with the size and type the same as image .
  result | Map containing comparison results ( CV_32FC1 ). If image is W x H and templ is w x h, then result must be W-w+1 x H-h+1.
  stream | Stream for the asynchronous version.

The documentation for this class was generated from the following file:

- cudaimgproc/include/opencv2/cudaimgproc.hpp